## com.TwentyCodes.android.SkyHook
Class Location

    java.lang.Object
      com.skyhookwireless.wps.Location
          com.skyhookwireless.wps.WPSLocation
              com.TwentyCodes.android.SkyHook.Location

All Implemented Interfaces:
  Serializable, Cloneable

    public class Location

extends com.skyhookwireless.wps.WPSLocation

an extension of skyhook's WPSLocation class, that allows for import / export from bundles

Author:
  ricky barrette
See Also:
  Serialized Form

Field Summary
`static String` `BEARING`
`static String` `HPE`
`static String` `LATITUDE`
`static String` `LONGITUDE`
`static String` `NAP`
`static String` `NCELL`
`static String` `SPEED`
`static String` `TIME`

Fields inherited from class com.skyhookwireless.wps.Location
`_sdki`

Constructor Summary
`Location(Bundle data)` loads a location object from a bundle

Method Summary
`Bundle` `toBundle()` creates a bundle from a location object

Methods inherited from class com.skyhookwireless.wps.WPSLocation
`_sdka, clone, getBearing, getHPE, getNAP, getNCell, getSpeed, getStreetAddress, setBearing, setHPE, setNAP, setSpeed, setStreetAddress, toString`

Methods inherited from class com.skyhookwireless.wps.Location
`getAltitude, getLatitude, getLongitude, getTime, hasAltitude, setAltitude, setLatitude, setLongitude, setTime`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LATITUDE

    public static final String LATITUDE

See Also:
  Constant Field Values

### LONGITUDE

    public static final String LONGITUDE

See Also:
  Constant Field Values

### TIME

    public static final String TIME

See Also:
  Constant Field Values

### HPE

    public static final String HPE

See Also:
  Constant Field Values

### NAP

    public static final String NAP

See Also:
  Constant Field Values

### NCELL

    public static final String NCELL

See Also:
  Constant Field Values

### SPEED

    public static final String SPEED

See Also:
  Constant Field Values

### BEARING

    public static final String BEARING

See Also:
  Constant Field Values

Constructor Detail

### Location

    public Location(Bundle data)

  loads a location object from a bundle

  Parameters:
    `bundle` -

Method Detail

### toBundle

    public Bundle toBundle()

  creates a bundle from a location object

  Returns: